This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1299976 - jnlp.LaunchException: Fatal: Initialization Error - NullPointerException SecurityDialogs.showMissingALACAttributePanel when codebase not specified
jnlp.LaunchException: Fatal: Initialization Error - NullPointerException Secu...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: icedtea-web (Show other bugs)
6.7
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: jiri vanek
Lukas Zachar
:
Depends On: 1299973
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 11:13 EST by Deepu K S
Modified: 2016-05-10 16:15 EDT (History)
5 users (show)

See Also:
Fixed In Version: icedtea-web-1.6.2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1299973
Environment:
Last Closed: 2016-05-10 16:15:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Icedtea Bugzilla 2489 None None None 2016-01-19 11:13 EST

  None (edit)
Description Deepu K S 2016-01-19 11:13:13 EST
+++ This bug was initially created as a clone of Bug #1299973 +++

Description of problem:
NullPointerException in icedtea-web 1.5.1 on RHEL 6

this JNLP file does not have the optional "codebase" attribute specified.

net.sourceforge.jnlp.LaunchException: Fatal: Initialization Error: Could not initialize application. The application has not been initialized, for more information execute javaws from the command line.
	at net.sourceforge.jnlp.Launcher.createApplication(Launcher.java:783)
	at net.sourceforge.jnlp.Launcher.launchApplication(Launcher.java:523)
	at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:905)
Caused by: java.lang.NullPointerException
	at net.sourceforge.jnlp.security.SecurityDialogs.showMissingALACAttributePanel(SecurityDialogs.java:279)
	at net.sourceforge.jnlp.runtime.ManifestAttributesChecker.checkApplicationLibraryAllowableCodebaseAttribute(ManifestAttributesChecker.java:312)
	at net.sourceforge.jnlp.runtime.ManifestAttributesChecker.checkAll(ManifestAttributesChecker.java:82)
	at net.sourceforge.jnlp.runtime.JNLPClassLoader.<init>(JNLPClassLoader.java:288)
	at net.sourceforge.jnlp.runtime.JNLPClassLoader.createInstance(JNLPClassLoader.java:351)
	at net.sourceforge.jnlp.runtime.JNLPClassLoader.getInstance(JNLPClassLoader.java:418)
	at net.sourceforge.jnlp.runtime.JNLPClassLoader.getInstance(JNLPClassLoader.java:394)
	at net.sourceforge.jnlp.Launcher.createApplication(Launcher.java:775)
	... 2 more


Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux 6.7
icedtea-web-1.5.1-1.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. javaws http://nextmidas.techma.com/nxm343/htdocs/localshell.jnlp


Actual results:
$ /usr/bin/javaws http://nextmidas.techma.com/nxm343/htdocs/localshell.jnlp
The application is a local file. Codebase validation is disabled. See: http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/security/no_redeploy.html for details.
The application is a local file. Codebase validation is disabled. See: http://docs.oracle.com/javase/7/docs/technotes/guides/jweb/security/no_redeploy.html for details.
netx: Initialization Error: Could not initialize application. ()
net.sourceforge.jnlp.LaunchException: Fatal: Initialization Error: Could not initialize application. The application has not been initialized, for more information execute javaws from the command line.
	at net.sourceforge.jnlp.Launcher.createApplication(Launcher.java:783)
	at net.sourceforge.jnlp.Launcher.launchApplication(Launcher.java:523)
	at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:905)
Caused by: java.lang.NullPointerException
	at net.sourceforge.jnlp.security.SecurityDialogs.showMissingALACAttributePanel(SecurityDialogs.java:279)
	at net.sourceforge.jnlp.runtime.ManifestAttributesChecker.checkApplicationLibraryAllowableCodebaseAttribute(ManifestAttributesChecker.java:312)
	at net.sourceforge.jnlp.runtime.ManifestAttributesChecker.checkAll(ManifestAttributesChecker.java:82)
	at net.sourceforge.jnlp.runtime.JNLPClassLoader.<init>(JNLPClassLoader.java:288)
	at net.sourceforge.jnlp.runtime.JNLPClassLoader.createInstance(JNLPClassLoader.java:351)
	at net.sourceforge.jnlp.runtime.JNLPClassLoader.getInstance(JNLPClassLoader.java:418)
	at net.sourceforge.jnlp.runtime.JNLPClassLoader.getInstance(JNLPClassLoader.java:394)
	at net.sourceforge.jnlp.Launcher.createApplication(Launcher.java:775)
	... 2 more



Expected results:
Application should launch without errors.

Additional info:
Upstream BugZilla is here :
http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=2489

RHEL 7 BZ is : https://bugzilla.redhat.com/show_bug.cgi?id=1299973

--- Additional comment from RHEL Product and Program Management on 2016-01-19 11:06:39 EST ---

Since this bug report was entered in bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 3 jiri vanek 2016-01-19 11:28:06 EST
I was fixing this bugzilla in coopoeration with customer, and as 1.6.2 will be released soon, I'm strongly for updating rhels to this bugs-fixing release
http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=2489
Comment 4 jiri vanek 2016-02-03 12:01:12 EST
Icedtea web 1.6.2 was released today and was pushed to fedora.

Is strongly advice to update rhel 6.8 to 1.6.2. There is opned erratum for rebase ITW in rhel 6.8 to 1.6, I will rebase it directly to 1.6.2

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2016-February/034831.html

For sake of compeltness, Deepu, may you pelase elaborate on PM ack?

tahnx.
Comment 5 jiri vanek 2016-02-27 07:28:17 EST
Ping? Where is this blocked?
Comment 6 jiri vanek 2016-02-27 07:29:13 EST
Sorry. nowhere.
Comment 10 errata-xmlrpc 2016-05-10 16:15:23 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0778.html

Note You need to log in before you can comment on or make changes to this bug.